/* Generated by CIL v. 1.7.3 */
/* print_CIL_Input is true */

#line 14 "factor.c"
void __globinit_factor(void) ;
extern void __CrestInit(void)  __attribute__((__crest_skip__)) ;
extern void __CrestHandleReturn(int id , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestReturn(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestCall(int id , unsigned int fid )  __attribute__((__crest_skip__)) ;
extern void __CrestBranch(int id , int bid , unsigned char b )  __attribute__((__crest_skip__)) ;
extern void __CrestApply2(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestApply1(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestClearStack(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestStore(int id , unsigned long addr )  __attribute__((__crest_skip__)) ;
extern void __CrestLoad(int id , unsigned long addr , long long val )  __attribute__((__crest_skip__)) ;
#line 202 "../bin/../include/crest.h"
extern void __CrestInt(int *x )  __attribute__((__crest_skip__)) ;
#line 14 "factor.c"
int main(void) 
{ 
  int n ;
  int __retres2 ;

  {
  __globinit_factor();
  __CrestCall(1, 1);
#line 17
  __CrestInt(& n);
  __CrestLoad(4, (unsigned long )(& n), (long long )n);
  __CrestLoad(3, (unsigned long )0, (long long )1);
  __CrestApply2(2, 14, (long long )(n > 1));
#line 19
  if (n > 1) {
    __CrestBranch(5, 3, 1);
    __CrestLoad(7, (unsigned long )0, (long long )0);
    __CrestStore(8, (unsigned long )(& __retres2));
#line 20
    __retres2 = 0;
#line 20
    goto return_label;
  } else {
    __CrestBranch(6, 5, 0);

  }
  __CrestLoad(9, (unsigned long )0, (long long )0);
  __CrestStore(10, (unsigned long )(& __retres2));
#line 47
  __retres2 = 0;
  return_label: /* CIL Label */ 
  {
  __CrestLoad(11, (unsigned long )(& __retres2), (long long )__retres2);
  __CrestReturn(12);
#line 14
  return (__retres2);
  }
}
}
void __globinit_factor(void) 
{ 


  {
  __CrestInit();
}
}
